#include "glInterface.h"

GLInterface::GLInterface(void)
{
    previous=NULL;
}

GLInterface::~GLInterface(void)
{
}

void GLInterface::display(void)
{
}

void GLInterface::reshape(int width, int height)
{
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    gluOrtho2D(0, width, 0, height);
    glViewport(0, 0, width, height);
    glScalef(1, -1, 1);
    glTranslatef(0, -height, 0);
    glMatrixMode(GL_MODELVIEW);
}

void GLInterface::keyboard(int key, bool release)
{
}

void GLInterface::timer(void)
{
}

void GLInterface::mouse(int action)
{
}

void GLInterface::setPreviousInterface(GLInterface *p)
{
    previous=p;
}

GLInterface *GLInterface::getPreviousInterface(void)
{
    return previous;
}
