#ifndef __glInterface_h__
#define __glInterface_h__

#include "../general.h"
#include "../GL/glKeyboard.h"
#include "../GL/glMouse.h"

class GLInterface
{
    protected:
        GLInterface *previous;

    public:
        GLInterface(void);
        virtual ~GLInterface(void);

        virtual void display(void);
        virtual void reshape(int width, int height);
        virtual void keyboard(int key, bool release);
        virtual void timer(void);
        virtual void mouse(int action);

        virtual void setPreviousInterface(GLInterface *p);
        virtual GLInterface *getPreviousInterface(void);
};

#endif
