#ifndef __glKeyboard_h__
#define __glKeyboard_h__

#include "../general.h"

// Defines the last (greater value) special key that could be pressed
#define maxKeys GLUT_KEY_INSERT+256

#define KEY_F1	 (GLUT_KEY_F1+256)
#define KEY_F2   (GLUT_KEY_F2+256)
#define KEY_F3	 (GLUT_KEY_F3+256)
#define KEY_F4   (GLUT_KEY_F4+256)
#define KEY_F5	 (GLUT_KEY_F5+256)
#define KEY_F6   (GLUT_KEY_F6+256)
#define KEY_F7	 (GLUT_KEY_F7+256)
#define KEY_F8   (GLUT_KEY_F8+256)
#define KEY_F9	 (GLUT_KEY_F9+256)
#define KEY_F10  (GLUT_KEY_F10+256)
#define KEY_F11  (GLUT_KEY_F11+256)
#define KEY_F12  (GLUT_KEY_F12+256)

#define KEY_LEFT		(GLUT_KEY_LEFT+256)
#define KEY_UP			(GLUT_KEY_UP+256)
#define KEY_RIGHT		(GLUT_KEY_RIGHT+256)
#define KEY_DOWN		(GLUT_KEY_DOWN+256)
#define KEY_PAGE_UP		(GLUT_KEY_PAGE_UP+256)
#define KEY_PAGE_DOWN	(GLUT_KEY_PAGE_DOWN+256)
#define KEY_HOME		(GLUT_KEY_HOME+256)
#define KEY_END			(GLUT_KEY_END+256)
#define KEY_INSERT		(GLUT_KEY_INSERT+256)

// Install keyboard functions
void glKeyboardInstall(void);
void setUserKeyboardNotify(void (*notify)(int key, bool release));
bool keyIsPressed(int  key);

#endif
