#ifndef __boardDraw_h__
#define __boardDraw_h__

#include "../base.h"
#include "../GL/glSprite.h"
#include "../GL/glText.h"

#include "boardTileDraw.h"

#define BoardGoldenColumn 0
#define BoardSilverColumn 9

class BoardDraw
{
    protected:
        int startX;
        int startY;

    public:
        BoardDraw(int startX, int startY);


        int getXOf(int i, int j);
        int getYOf(int i, int j);
        int getIOf(int x, int y);
        int getJOf(int x, int y);

        void draw(void);
};

#endif

