#include "pieceDraw.h"

glSprite *sprPieces[2]={NULL, NULL};

PieceDraw::PieceDraw(void)
{
    printf("[PieceDraw::PieceDraw] IMPRESSIVE!!! How you instantiated a protected construtor???\n");
}

void PieceDraw::draw(int x, int y, unsigned short player, unsigned short piece, unsigned short orientation,unsigned char fade)
{
    // Starting Piece Sprites in first time
    if (sprPieces[0]==NULL)
    {
        sprPieces[0]=new glSprite();
        sprPieces[0]->loadImage(getFilePath("Pieces/PiecesGold.rgba"),64,64,4,4);
        sprPieces[1]=new glSprite();
        sprPieces[1]->loadImage(getFilePath("Pieces/PiecesSilver.rgba"),64,64,4,4);
    }

    if (player>=PlayerMax)
    {
        printf("[PieceDraw::PieceDraw] There is no such player (player=%i)\n",piece);
        player %= PlayerMax;
    }

    if (piece>PieceMax)
    {
        printf("[PieceDraw::PieceDraw] There is no such piece (piece=%i)\n",piece);
        piece %= PieceMax;
    }

    if (orientation>OrientationMax)
    {
        printf("[PieceDraw::PieceDraw] There is no such piece (piece=%i)\n",piece);
        orientation %= OrientationMax;
    }

    if (piece==PiecePharaoh || piece==PieceObelisk)
        orientation=OrientationNone;

    glColor3f(fade/255.0,fade/255.0,fade/255.0);
    sprPieces[player]->draw(x,y,orientation,piece);
}
