#ifndef __net_h__
#define __net_h__

#include "../general.h"

#include <netdb.h>
#include <errno.h>

class Net
{
    protected:
        char answer[65536];

        int clientConnect(void);
        bool receiveMessage(int sock);

    public:
        Net();

        bool sendRequest(char *message);
        char *getAnswer(void);

        static bool setServer(char *ip, int port);
};

#endif

