#ifndef __glInit_h__
#define __glInit_h__

#include "../general.h"

// Global Vars
extern int glWidth;
extern int glHeight;

// Function lists

// Create the main window.
void CreateMainWindow(char *name, int width=800, int height=600, int top=0, int left=0);

// Set glut controller functions
void SetUserDisplayFunction(void (*display)(void));
void SetUserReshapeFunction(void (*reshape)(GLsizei width, GLsizei height));
void SetUserTimer(int milisecs, void (*timer)(void));

#endif
