#ifndef __glMouse_h__
#define __glMouse_h__

#include "../general.h"

#define MOUSE_LEFT		GLUT_LEFT_BUTTON
#define MOUSE_RIGHT 	GLUT_RIGHT_BUTTON
#define MOUSE_MIDDLE 	GLUT_MIDDLE_BUTTON

#define MOUSE_MOVED 0
#define MOUSE_BUTTON_PRESSED 1
#define MOUSE_BUTTON_RELEASED 2

void glMouseInstall(void);
void setUserMouseNotify(void (*notify)(int action));
bool mouseIsPressed(int button);
void mousePosition(int *x, int *y);
bool mouseOnScreen(void);

#endif
