#include "glMouseCursor.h"
#include "glMouse.h"

glMouseCursor::glMouseCursor(void) : glSprite()
{
    number=0;
}

glMouseCursor::~glMouseCursor(void)
{
    if (tex)
        delete tex;
}

void glMouseCursor::chooseCursor(int num)
{
    number=num;
}

void glMouseCursor::draw()
{
    int x,y,c,d;
    if (mouseOnScreen())
    {
        mousePosition(&x,&y);
        c=number%elemX;
        d=number/elemX;

        glSprite::draw(x-sizeX/2,y-sizeY/2,c,d);
    }
}
