#ifndef __glTexture_h__
#define __glTexture_h__

#include "../general.h"
#include "../ImageLoader/image.h"

class glTexture
{
    private:
        GLuint id;
        float width, height;
        bool transparent;

    public:
        glTexture(void);
        ~glTexture(void);

        void setTexture(Image *img);
        void setTransparent(bool value);
        GLuint getId(void);

        float getWidth(void);
        float getHeight(void);

        void bindTexture(void);
        void unbindTexture(void);
};

#endif
