#include "boardTileDraw.h"

glSprite *sprBoard=NULL;
glSprite *sprRotate=NULL;


BoardTileDraw::BoardTileDraw(void)
{
    printf("[BoardTileDraw::BoardTileDraw]] IMPRESSIVE!!! How you instantiated a protected construtor???\n");
}

void BoardTileDraw::draw(int x, int y, unsigned short style)
{
    // Starting Piece Sprites in first time
    if (sprBoard==NULL)
    {
        sprBoard=new glSprite();
        sprBoard->loadImage(getFilePath("Board/Board.rgba"),64,64,2,2);
    }

    // Starting Piece Sprites in first time
    if (sprRotate==NULL)
    {
        sprRotate=new glSprite();
        sprRotate->loadImage(getFilePath("Board/Rotate.rgba"),32,64,2,1);
    }

    if (style>=BoardTileMax)
    {
        printf("[BoardTileDraw::draw] There is no such board style (style=%i)\n",style);
        style %= BoardTileMax;
    }

    glColor3f(1,1,1);
    sprBoard->draw(x,y,style%2,style/2);
}
