#ifndef __pieceDraw_h__
#define __pieceDraw_h__

#include "../base.h"
#include "../GL/glSprite.h"

#define PlayerGolden 0
#define PlayerSilver 1
#define PlayerMax    2
#define PlayerBoth   2

#define PiecePharaoh 0
#define PieceObelisk 1
#define PiecePyramid 2
#define PieceDjed    3
#define PieceMax     4

#define OrientationNone 0
#define OrientationSE   0
#define OrientationSW   1
#define OrientationNW   2
#define OrientationNE   3
#define OrientationMax  4

#define rotateCW(X)  (((X)+1)%4)
#define rotateCCW(X) (((X)+3)%4)

extern glSprite *sprPieces[2];

class PieceDraw
{
    protected:
        PieceDraw(void);

    public:
        static void draw(int x, int y, unsigned short player, unsigned short piece, unsigned short orientation, unsigned char fade=255);
};

#endif
