#include "base.h"

char *ServerName="localhost";
int ServerPort=1027;


char *dataPath="../data/";
char nameBuffer[1024];

glMouseCursor *mouseCursor=NULL;

void baseStart(void)
{
    mouseCursor=new glMouseCursor();
    mouseCursor->loadImage(getFilePath("Mouse/MouseCursor.rgba"),32,32,2,2);
}


char *getFilePath(char *filename)
{
    strncpy(nameBuffer,dataPath,1024);
    strncpy(nameBuffer+strlen(nameBuffer),filename,1024-strlen(nameBuffer));
    return nameBuffer;
}

DataMap loadFileData(char *file)
{
    DataMap data;

    int readed=0;
    char discard[4];
    char buffer[1025];
    FILE *fp;

    fp=fopen(getFilePath(file),"r");
    if (fp)
    {
        readed=fscanf(fp,"%1024[^\n]s",buffer);
        fgets(discard,1024,fp);
        while (!feof(fp))
        {
            if (readed)
            {
                char *index, *content;
                index=strtok(buffer,":");
                content=strtok(NULL,":");

                data[std::string(index)]=std::string(content);
            }
            readed=fscanf(fp,"%1024[^\n]s",buffer);
            fgets(discard,1024,fp);
        }
    }
    else
    {
        printf("Error opening file [%s]\n",file);
        exit(0);
    }

    fclose(fp);
    return data;
}
